## ros-iron-joint-state-publisher-gui 2.4.0

=== debian/changelog ===
ros-iron-joint-state-publisher-gui (2.4.0-1jammy) jammy; urgency=high

  * Show 3 decimal places of joint angle (#83 <https://github.com/ros/joint_state_publisher/issues/83>)
  * Contributors: Andy McEvoy

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 04 Aug 2023 00:00:00 -0000

ros-iron-joint-state-publisher-gui (2.3.0-1jammy) jammy; urgency=high

  * Fix use of joint_state_publisher on Ubuntu Jammy. (#78 <https://github.com/ros/joint_state_publisher/issues/78>)
  * Use underscores in setup.cfg. (#76 <https://github.com/ros/joint_state_publisher/issues/76>)
  * Automatically resize window based on number of joints (#68 <https://github.com/ros/joint_state_publisher/issues/68>)
  * Contributors: Andy McEvoy, Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 21 Apr 2022 00:00:00 -0000

ros-iron-joint-state-publisher-gui (2.2.0-1jammy) jammy; urgency=high

  * Minor fixes from review.
  * Add in pytest.ini files for jsp and jsp_gui.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 04 Jun 2020 00:00:00 -0000

ros-iron-joint-state-publisher-gui (2.1.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 19 May 2020 00:00:00 -0000

ros-iron-joint-state-publisher-gui (2.0.0-1jammy) jammy; urgency=high

  * Port to ROS 2 (#30 <https://github.com/ros/joint_state_publisher/issues/30>)
  * Split jsp and jsp gui (#31 <https://github.com/ros/joint_state_publisher/issues/31>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.13-1jammy) jammy; urgency=high

  * add bugtracker link now that this is not hosted on robot_model anymore
  * Added a scrollarea around the gridlayout to support large number of joints
  * pass robot objects into init_collada() and init_urdf()
  * add test for collada supports
  * add support for collada model : moved from https://github.com/ros/robot_model/pull/97
  * Contributors: Guillaume Walck, Kei Okada, Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 19 Mar 2018 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.12-1jammy) jammy; urgency=high

  * Don't publish joint states if there are no joints (#212 <https://github.com/ros/robot_model/issues/212>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 15 Sep 2017 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.11-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 27 Jun 2017 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.10-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 24 Jun 2017 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.9-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.8-1jammy) jammy; urgency=high

  * [joint_state_publisher] Handle time moving backwards
    Without this patch, joint_state_publisher dies whenever the ROS time moves backwards (e.g., when running rosbag play --clock --loop).
  * Switch a couple more packages over to Chris and Shane.
  * Fix rostest dependency.
  * Add recursive mimic joint (#177 <https://github.com/ros/robot_model/issues/177>)
    * Add recursive mimic joint
  * Contributors: Alessandro Tondo, Chris Lalancette, Martin Günther, Mike Purvis

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.7-1jammy) jammy; urgency=high

  * Fixed a crash which happened when there were ``0`` free joints, opens empty window (#178 <https://github.com/ros/robot_model/issues/178>)
  * Contributors: Bence Magyar

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.6-1jammy) jammy; urgency=high

  * Migrated slots in joint state publisher gui to Qt5 (#147 <https://github.com/ros/robot_model/issues/147>)
  * Now uses GridLayout to support large numbers of joints and small screens (#150 <https://github.com/ros/robot_model/issues/150>)
  * Contributors: Bence Magyar, Michał Barciś

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.5-1jammy) jammy; urgency=high

  * Fix initial position of sliders in joint_state_publisher GUI (#148 <https://github.com/ros/robot_model/issues/148>)
    Caused by a regression in 8c6cf9841cb, the slider positions are not initialized correctly
    from the provided zero positions at startup.
    This commit fixes the issue, by adding the call to center() again that got lost.
  * Contributors: Timm Linder

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.3-1jammy) jammy; urgency=high

  * Fix circular logic in joint state publisher events (#140 <https://github.com/ros/robot_model/issues/140>)
  * Use signal and sys.exit to fix shutdown in joint_state_publisher (#139 <https://github.com/ros/robot_model/issues/139>)
  * joint_state_publisher: Change slider update method (#135 <https://github.com/ros/robot_model/issues/135>)
  * Contributors: Jackie Kay, vincentrou

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-iron-joint-state-publisher-gui (1.12.2-1jammy) jammy; urgency=high

  * Migrate qt (#128 <https://github.com/ros/robot_model/issues/128>)
    * Migrate JointStatePublisher from wxPython to qt5
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 00:00:00 -0000


