=== debian/control ===
Source: ros-iron-joint-state-publisher-gui
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://www.ros.org/wiki/joint_state_publisher
Standards-Version: 3.9.2

Package: ros-iron-joint-state-publisher-gui
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-iron-joint-state-publisher, ros-iron-python-qt-binding, ros-iron-rclpy, ros-iron-ros-workspace
Description: This package contains a GUI tool for setting and publishing joint state values for a given URDF.
